/* =========================================================================================================
  Script Revive ADO : revive_init.sqf
  Version: 1.5
  Auteur: The-KiLLeR (www.clan-ado.fr / killouze@hotmail.fr)
========================================================================================================= */
if (!isServer && !isDedicated) then
{
	waitUntil {!isNull player};

	_verif = format["%1",call compile format["%1",player]];

	if (_verif == "<null>") then {
		_nom = format["ado_revive_unite_%1",getPlayerUID player];
		player setVehicleVarName _nom;
		call compile format ["%1 = player", _nom];
		publicVariable _nom;
	};
	
	if ((getMarkerPos "ADO_REVIVE_centre") select 0 == 0 && (getMarkerPos "ADO_REVIVE_centre") select 1 == 0) then {hint "Il manque le marqueur : ""ADO_REVIVE_centre""";};

	//================================================================================
	//===============================[ CONFIGURATIONS ]===============================
	//================================================================================
	
	//	Placer un marqueur "ADO_REVIVE_centre" au centre de l'île !
	
	// Temps avant de pouvoir cliquer sur les boutons de réapparition (en seconde)
	ADO_REVIVE_temps_bouton = 30;
	
	// Position avec marqueur sur la carte des mobiles respawn/tentes (true = Activer, false = Désactiver)
	ADO_REVIVE_gps = true;
	
	/* ---------- [ BASE ] ----------
		ADO_REVIVE_zone :
			- true : Activer
			- false : Désactiver
		
		ADO_REVIVE_zone_ouest, ADO_REVIVE_zone_est, ADO_REVIVE_zone_independant, ADO_REVIVE_zone_civil :
			Indiquer le nom du marqueur où les joueurs réapparaitront selon leur camp
			C'est le respawn à la base
	*/
	ADO_REVIVE_zone = true;
	ADO_REVIVE_zone_ouest = "respawn_west";
	ADO_REVIVE_zone_est = "respawn_east";
	ADO_REVIVE_zone_independant = "respawn_guerrila";
	ADO_REVIVE_zone_civil = "respawn_civilian";
	
	// Si le respawn est en hauteur, indiquer la (0 = Désactiver)
	ADO_REVIVE_zone_hauteur = 0;
	
	/* ---------- [ MOBILES RESPAWN ] ----------
		ADO_REVIVE_mobile_respawn :
			- true : Activer
			- false : Désactiver
		
		ADO_REVIVE_mobile_respawn_nb :
			- 1 : un mobile respawn nommé OBLIGATOIREMENT ado_mobile_respawn_1
			- 2 : deux mobiles respawn nommés OBLIGATOIREMENT ado_mobile_respawn_1 ET ado_mobile_respawn_2
	*/
	ADO_REVIVE_mobile_respawn = true;
	ADO_REVIVE_mobile_respawn_nb = 2;
	
	/* ---------- [ SACS A DOS / TENTES ] ----------
		ADO_REVIVE_sac :
			- true : Activer
			- false : Désactiver
			
		ADO_REVIVE_sac_nb :
			- 1 : un sac à dos nommé OBLIGATOIREMENT ado_sac_respawn_1
			- 2 : deux sacs à dos nommés OBLIGATOIREMENT ado_sac_respawn_1 ET ado_sac_respawn_2
	*/
	ADO_REVIVE_sac = true;
	ADO_REVIVE_sac_nb = 2;
	
	/* ---------- [ CAISSES / CAMPS ] ----------
		ADO_REVIVE_caisse :
			- true : Activer
			- false : Désactiver
			
		ADO_REVIVE_caisse_nb :
			- 1 : une caisse nommée OBLIGATOIREMENT ado_caisse_respawn_1
			- 2 : deux caisses nommées OBLIGATOIREMENT ado_caisse_respawn_1 ET ado_caisse_respawn_2
	*/
	ADO_REVIVE_caisse = true;
	ADO_REVIVE_caisse_nb = 2;
	
	//================================================================================
	//===============================[ NE PAS TOUCHER ]===============================
	//================================================================================
	
	// Nombre de vie (Défini dans les paramètres de la mission)
	ADO_REVIVE_vies_nb = paramsArray select 0;
	
	// La personne réanimé perd une vie (true = Activer, false = Désactiver)
	ADO_REVIVE_vies_reanimer = true;
	
	if (paramsArray select 1 == 0) then {
		ADO_REVIVE_vies_reanimer = false;
	};
	
	publicVariable "ADO_REVIVE_mobile_respawn";
	publicVariable "ADO_REVIVE_sac";
	publicVariable "ADO_REVIVE_caisse";
	
	call compile format["ADO_REVIVE_joueur_%1 = 0; publicVariable 'ADO_REVIVE_joueur_%1'",player];
	call compile format["ADO_REVIVE_medic_%1 = 0; publicVariable 'ADO_REVIVE_medic_%1'",player];
	
	ADO_REVIVE_bouton_base = false;
	ADO_REVIVE_bouton_mobile1 = false;
	ADO_REVIVE_bouton_mobile2 = false;
	ADO_REVIVE_bouton_sac1 = false;
	ADO_REVIVE_bouton_sac2 = false;
	ADO_REVIVE_bouton_camp1 = false;
	ADO_REVIVE_bouton_camp2 = false;
	ADO_REVIVE_dialog = false;
	
	ADO_REVIVE_annulerAction = false;
	
	if (ADO_REVIVE_gps) then {
		execVM "ADO_revive\revive_gps.sqf";
	};
	
	[] spawn {
		player addEventHandler ["killed", {
			_this execVM "ADO_revive\revive_reapparition.sqf";
			_this execVM "ADO_revive\revive_armements.sqf";
		}];
	};
} else {

	if (!ADO_REVIVE_mobile_respawn) then {
		if (!isNull ado_mobile_respawn_1) then {deleteVehicle ado_mobile_respawn_1};
		if (!isNull ado_mobile_respawn_2) then {deleteVehicle ado_mobile_respawn_2};
	};
	
	if (!ADO_REVIVE_sac) then {
		if (!isNull ado_sac_respawn_1) then {deleteVehicle ado_sac_respawn_1};
		if (!isNull ado_sac_respawn_2) then {deleteVehicle ado_sac_respawn_2};
	};
	
	if (!ADO_REVIVE_caisse) then {
		if (!isNull ado_caisse_respawn_1) then {deleteVehicle ado_caisse_respawn_1};
		if (!isNull ado_caisse_respawn_2) then {deleteVehicle ado_caisse_respawn_2};
	};

	sleep 2;

	// Sac à dos / tentes
	if (ADO_REVIVE_sac) then {
	
		ADO_REVIVE_sac_type1 = "";
		ADO_REVIVE_sac_type2 = "";
		publicVariable "ADO_REVIVE_sac_type1";
		publicVariable "ADO_REVIVE_sac_type2";
		
		ADO_REVIVE_sac_statut = [0];
		publicVariable "ADO_REVIVE_sac_statut";
		ADO_REVIVE_sac_joueur1 = objNull;
		ADO_REVIVE_sac_joueur2 = objNull;
		publicVariable "ADO_REVIVE_sac_joueur1";
		publicVariable "ADO_REVIVE_sac_joueur2";
		
		ADO_REVIVE_sac_statut1 = true;
		ADO_REVIVE_sac_statut2 = true;
		publicVariable "ADO_REVIVE_sac_statut1";
		publicVariable "ADO_REVIVE_sac_statut2";
		
		if (!isNull ado_sac_respawn_1) then {
			call compile format ["%1 setVehicleInit '%1 = this; this addAction [''<t color=''''#e5ac11''''>Prendre sac 1</t>'',''ADO_revive\revive_actions.sqf'',[13,1],1,false,false,'''',''ADO_REVIVE_sac_statut1'']; this addAction [''<t color=''''#e5ac11''''>Déployer tente 1</t>'',''ADO_revive\revive_actions.sqf'',5,1,false,false,'''',''ADO_REVIVE_sac_statut1''];'",ado_sac_respawn_1];
			processInitCommands;
			ADO_REVIVE_sac_type1 = typeOf ado_sac_respawn_1;
			publicVariable "ADO_REVIVE_sac_type1";
		};
		if (!isNull ado_sac_respawn_2) then {
			call compile format ["%1 setVehicleInit '%1 = this; this addAction [''<t color=''''#e5ac11''''>Prendre sac 2</t>'',''ADO_revive\revive_actions.sqf'',[13,2],1,false,false,'''',''ADO_REVIVE_sac_statut1'']; this addAction [''<t color=''''#e5ac11''''>Déployer tente 2</t>'',''ADO_revive\revive_actions.sqf'',5,1,false,false,'''',''ADO_REVIVE_sac_statut2''];'",ado_sac_respawn_2];
			processInitCommands;
			ADO_REVIVE_sac_type2 = typeOf ado_sac_respawn_2;
			publicVariable "ADO_REVIVE_sac_type2";
		};
		execVM "ADO_revive\revive_sac.sqf";
	};
	
	// Caisses / Camps
	if (ADO_REVIVE_caisse) then {
	
		ADO_REVIVE_caisse_type1 = "";
		ADO_REVIVE_caisse_type2 = "";
		publicVariable "ADO_REVIVE_caisse_type1";
		publicVariable "ADO_REVIVE_caisse_type2";
		
		ADO_REVIVE_caisse_statut1 = 0;
		ADO_REVIVE_caisse_statut2 = 0;
		publicVariable "ADO_REVIVE_caisse_statut1";
		publicVariable "ADO_REVIVE_caisse_statut2";
		
		ADO_REVIVE_caisse_joueur1 = objNull;
		ADO_REVIVE_caisse_joueur2 = objNull;
		publicVariable "ADO_REVIVE_caisse_joueur1";
		publicVariable "ADO_REVIVE_caisse_joueur2";

		if (!isNull ado_caisse_respawn_1) then {
			call compile format ["%1 setVehicleInit '%1 = this; clearWeaponCargo this; clearMagazineCargo this; this allowDamage false; this addAction [''<t color=''''#e5ac11''''>Déplacer caisse 1</t>'',''ADO_revive\revive_actions.sqf'',[7,1],1,false,false,'''',''ADO_REVIVE_caisse_statut1 == 0'']; this addAction [''<t color=''''#e5ac11''''>Déployer camp 1</t>'',''ADO_revive\revive_actions.sqf'',[8,1],1,false,false,'''',''ADO_REVIVE_caisse_statut1 == 0'']; this addAction [''<t color=''''#e5ac11''''>Ranger camp 1</t>'',''ADO_revive\revive_actions.sqf'',[10,1],1,false,false,'''',''ADO_REVIVE_caisse_statut1 == 3''];'",ado_caisse_respawn_1];
			processInitCommands;
			ADO_REVIVE_caisse_type1 = typeOf ado_caisse_respawn_1;
			publicVariable "ADO_REVIVE_caisse_type1";
		};
		if (!isNull ado_caisse_respawn_2) then {
			call compile format ["%1 setVehicleInit '%1 = this; clearWeaponCargo this; clearMagazineCargo this; this allowDamage false; this addAction [''<t color=''''#e5ac11''''>Déplacer caisse 2</t>'',''ADO_revive\revive_actions.sqf'',[7,2],1,false,false,'''',''ADO_REVIVE_caisse_statut2 == 0'']; this addAction [''<t color=''''#e5ac11''''>Déployer camp 2</t>'',''ADO_revive\revive_actions.sqf'',[8,2],1,false,false,'''',''ADO_REVIVE_caisse_statut2 == 0'']; this addAction [''<t color=''''#e5ac11''''>Ranger camp 2</t>'',''ADO_revive\revive_actions.sqf'',[10,2],1,false,false,'''',''ADO_REVIVE_caisse_statut2 == 3''];'",ado_caisse_respawn_2];
			processInitCommands;
			ADO_REVIVE_caisse_type2 = typeOf ado_caisse_respawn_2;
			publicVariable "ADO_REVIVE_caisse_type2";
		};
		execVM "ADO_revive\revive_caisse.sqf";
	};
	
	// Si joueur deconnecté
	onPlayerDisconnected "[_uid] execVM 'ADO_revive\revive_joueurDeconnecter.sqf'";
};

if (true) exitWith {};